void waiting()
{
    if(timeevent->WaitFor(2) != wrSignaled) {
    }

}

void cekani(int delka)
 {
    if(timeevent2->WaitFor(delka) != wrSignaled)
     {
    }
}


class thr:public TThread
{
private:
bool posuv;
double ix;
double iy;
double polex[1],poley[1];

protected:
  void __fastcall Execute();
public:
  __fastcall thr(bool CreateSuspended, TThreadPriority priorita):TThread(CreateSuspended)
  {
        Priority = priorita;
  }
};

class measurecard
{
char taskn;
public:

int move (void)
{
try
{
     //   DAQmxWriteAnalogF64(prvni,1,1,10.0,DAQmx_Val_GroupByChannel,data,NULL,NULL);
      //  DAQmxWriteAnalogF64(druha,1,1,10.0,DAQmx_Val_GroupByChannel,data1,NULL,NULL);
}
catch (...)
{
ShowMessage("spatne zadane");
return 1;
}
return 0;
}
};

void __fastcall thr::Execute()
{
while (progexec)
{
cekani(1000);
//Form1->Label14->Caption="Proud clankem: " + FloatToStr(ReadSourceCurrent()*1000) + "mA";
}
}







